Index: src/sas/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/perspectives/fitting/fitpage.py	(revision 098f3d277d54e6ae4bae35ed0188be84b67fb171)
+++ src/sas/perspectives/fitting/fitpage.py	(revision 6f16e25ca8391464dfcea6ba0d48d6b3702d148e)
@@ -3021,5 +3026,5 @@
 
                     ix += 1
-                    ctl4 = ModelTextCtrl(self, -1,
+                    ctl4 = ModelTextCtrl(self, wx.ID_ANY,
                                          size=(_BOX_WIDTH / 1.9, 20),
                                          style=wx.TE_PROCESS_ENTER,
@@ -3034,8 +3039,8 @@
                     # Units
                     if item in self.model.details:
-                        units = wx.StaticText(self, -1,
+                        units = wx.StaticText(self, wx.ID_ANY,
                             self.model.details[item][0], style=wx.ALIGN_LEFT)
                     else:
-                        units = wx.StaticText(self, -1, "",
+                        units = wx.StaticText(self, wx.ID_ANY, "",
                                               style=wx.ALIGN_LEFT)
                     sizer.Add(units, (iy, ix), (1, 1),
@@ -3060,11 +3065,11 @@
         for item in keys:
             if item in self.model.orientation_params:
-                orient_angle = wx.StaticText(self, -1, '[For 2D only]:')
-                mag_on_button = wx.Button(self, -1, "Magnetic ON")
+                orient_angle = wx.StaticText(self, wx.ID_ANY, '[For 2D only]:')
+                mag_on_button = wx.Button(self, wx.ID_ANY, "Magnetic ON")
                 mag_on_button.SetToolTipString("Turn Pol Beam/Mag scatt on/off")
                 mag_on_button.Bind(wx.EVT_BUTTON, self._on_mag_on)
-                mag_angle_help_button = wx.Button(self, -1, "Magnetic angles?")
+                mag_angle_help_button = wx.Button(self, wx.ID_ANY, "Magnetic angles?")
                 mag_angle_help_button.SetToolTipString("see angle definitions")
-                mag_help_button = wx.Button(self, -1, "Mag HELP")
+                mag_help_button = wx.Button(self, wx.ID_ANY, "Mag HELP")
                 mag_help_button.SetToolTipString("Help on pol beam/mag fitting")
                 mag_help_button.Bind(wx.EVT_BUTTON, self._on_mag_help)
@@ -3124,5 +3129,5 @@
                     ix = 0
                     ## add parameters name with checkbox for selecting to fit
-                    cb = wx.CheckBox(self, -1, item)
+                    cb = wx.CheckBox(self, wx.ID_ANY, item)
                     cb.SetValue(CHECK_STATE)
                     cb.SetToolTipString("Check mark to fit")
Index: src/sas/perspectives/fitting/fitpanel.py
===================================================================
--- src/sas/perspectives/fitting/fitpanel.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
+++ src/sas/perspectives/fitting/fitpanel.py	(revision 6f16e25ca8391464dfcea6ba0d48d6b3702d148e)
@@ -36,5 +36,5 @@
         """
         """
-        nb.__init__(self, parent, -1,
+        nb.__init__(self, parent, wx.ID_ANY,
                     style=wx.aui.AUI_NB_WINDOWLIST_BUTTON |
                     wx.aui.AUI_NB_DEFAULT_STYLE |
@@ -324,5 +324,5 @@
         if caption == "Const & Simul Fit":
             self.sim_page = SimultaneousFitPage(self, page_finder=page_finder,
-                                                 id= -1, batch_on=False)
+                                                 id= wx.ID_ANY, batch_on=False)
             self.sim_page.window_caption = caption
             self.sim_page.window_name = caption
Index: src/sas/perspectives/fitting/fitting.py
===================================================================
--- src/sas/perspectives/fitting/fitting.py	(revision 7945367d6e45b1f5abeedcae09a5284e3063d095)
+++ src/sas/perspectives/fitting/fitting.py	(revision 6f16e25ca8391464dfcea6ba0d48d6b3702d148e)
@@ -277,5 +277,5 @@
         model_list = model_manager.get_model_name_list()
         plug_dir = models.find_plugins_dir()
-        textdial = TextDialog(None, self, -1, 'Easy Sum/Multi(p1, p2) Editor',
+        textdial = TextDialog(None, self, wx.ID_ANY, 'Easy Sum/Multi(p1, p2) Editor',
                               model_list, plug_dir)
         self.put_icon(textdial)
@@ -760,5 +760,5 @@
         _TreeLocation = "user/perspectives/fitting/optimizer.html"
         _anchor = "#fit-"+algorithm_id
-        DocumentationWindow(self.parent, -1, _TreeLocation, _anchor, "Optimizer Help")
+        DocumentationWindow(self.parent, wx.ID_ANY, _TreeLocation, _anchor, "Optimizer Help")
 
 
Index: src/sas/perspectives/fitting/fitting_widgets.py
===================================================================
--- src/sas/perspectives/fitting/fitting_widgets.py	(revision 2f4b43041eaa7b7f496750f223a299cb33cd268e)
+++ src/sas/perspectives/fitting/fitting_widgets.py	(revision 6f16e25ca8391464dfcea6ba0d48d6b3702d148e)
@@ -41,11 +41,11 @@
         """
         vbox = wx.BoxSizer(wx.VERTICAL)
-        box_description = wx.StaticBox(self, -1, str("Hint"))
+        box_description = wx.StaticBox(self, wx.ID_ANY, str("Hint"))
         hint_sizer = wx.StaticBoxSizer(box_description, wx.VERTICAL)
         selection_sizer = wx.GridBagSizer(5, 5)
         button_sizer = wx.BoxSizer(wx.HORIZONTAL)
-        self.data_1d_selected = wx.RadioButton(self, -1, 'Data1D',
+        self.data_1d_selected = wx.RadioButton(self, wx.ID_ANY, 'Data1D',
                                                 style=wx.RB_GROUP)
-        self.data_2d_selected = wx.RadioButton(self, -1, 'Data2D')
+        self.data_2d_selected = wx.RadioButton(self, wx.ID_ANY, 'Data2D')
         self.data_1d_selected.SetValue(True)
         self.data_2d_selected.SetValue(False)
@@ -55,5 +55,5 @@
         hint = "Selected Data set contains both 1D and 2D Data.\n"
         hint += "Please select on type of analysis before proceeding.\n"
-        hint_sizer.Add(wx.StaticText(self, -1, hint))
+        hint_sizer.Add(wx.StaticText(self, wx.ID_ANY, hint))
         #draw area containing radio buttons
         ix = 0
@@ -72,5 +72,5 @@
         vbox.Add(hint_sizer, 0, wx.EXPAND | wx.ALL, 10)
         vbox.Add(selection_sizer, 0, wx.TOP | wx.BOTTOM, 10)
-        vbox.Add(wx.StaticLine(self, -1), 0, wx.EXPAND, 0)
+        vbox.Add(wx.StaticLine(self, wx.ID_ANY), 0, wx.EXPAND, 0)
         vbox.Add(button_sizer, 0, wx.TOP | wx.BOTTOM, 10)
         self.SetSizer(vbox)
@@ -103,5 +103,5 @@
             return
         select_data_text = " %s Data selected.\n" % str(self._nb_selected_data)
-        self._data_text_ctrl = wx.StaticText(self, -1, str(select_data_text))
+        self._data_text_ctrl = wx.StaticText(self, wx.ID_ANY, str(select_data_text))
 
         self._data_text_ctrl.SetForegroundColour('blue')
@@ -126,5 +126,5 @@
             text += "for adequate plot display size. \n"
             text += "unchecked data won't be send to fitting . \n"
-        text_ctrl = wx.StaticText(self, -1, str(text))
+        text_ctrl = wx.StaticText(self, wx.ID_ANY, str(text))
         self._sizer_txt.Add(text_ctrl)
         iy = 0
@@ -133,5 +133,5 @@
         for i in range(len(data_list)):
             data_count += 1
-            cb = wx.CheckBox(self._panel, -1, str(data_list[i].name), (10, 10))
+            cb = wx.CheckBox(self._panel, wx.ID_ANY, str(data_list[i].name), (10, 10))
             wx.EVT_CHECKBOX(self, cb.GetId(), self._count_selected_data)
             if data_count <= MAX_NBR_DATA:
@@ -153,5 +153,5 @@
         self._sizer_button.Add(button_OK, 0,
                                 wx.LEFT | wx.RIGHT | wx.ADJUST_MINSIZE, 10)
-        static_line = wx.StaticLine(self, -1)
+        static_line = wx.StaticLine(self, wx.ID_ANY)
         self._sizer_txt.Add(self._panel, 0, wx.EXPAND | wx.ALL, 10)
         self._sizer_main.Add(self._sizer_txt, 0, wx.EXPAND | wx.ALL, 10)
Index: src/sas/perspectives/fitting/hint_fitpage.py
===================================================================
--- src/sas/perspectives/fitting/hint_fitpage.py	(revision 2f4b43041eaa7b7f496750f223a299cb33cd268e)
+++ src/sas/perspectives/fitting/hint_fitpage.py	(revision 6f16e25ca8391464dfcea6ba0d48d6b3702d148e)
@@ -27,5 +27,5 @@
         """
         name = "Hint"
-        box_description = wx.StaticBox(self, -1, name)
+        box_description = wx.StaticBox(self, wx.ID_ANY, name)
         boxsizer = wx.StaticBoxSizer(box_description, wx.VERTICAL)
         msg = "    How to link data to the control panel: \n \n"
@@ -33,5 +33,5 @@
         msg += "    Then Highlight and right click on the data plot. \n"
         msg += "    Finally, select 'Select data for fitting' in the pop-up menu. \n"
-        self.hint_txt = wx.StaticText(self, -1, msg, style=wx.ALIGN_LEFT)
+        self.hint_txt = wx.StaticText(self, wx.ID_ANY, msg, style=wx.ALIGN_LEFT)
         boxsizer.Add(self.hint_txt, wx.ALL | wx.EXPAND, 20)
         self.vbox = wx.BoxSizer(wx.VERTICAL)
Index: src/sas/perspectives/fitting/pagestate.py
===================================================================
--- src/sas/perspectives/fitting/pagestate.py	(revision 0e33a8d85cb72949d5570ad7e0ae62153a71b845)
+++ src/sas/perspectives/fitting/pagestate.py	(revision 6f16e25ca8391464dfcea6ba0d48d6b3702d148e)
@@ -605,5 +605,5 @@
         images = self.set_plot_state(figs, canvases)
         report_list = [report_str, text_str, images]
-        dialog = ReportDialog(report_list, None, -1, "")
+        dialog = ReportDialog(report_list, None, wx.ID_ANY, "")
         dialog.Show()
 
Index: src/sas/perspectives/fitting/resultpanel.py
===================================================================
--- src/sas/perspectives/fitting/resultpanel.py	(revision 9df6a03015af83c5e84c1877daf2f74af85ad4e0)
+++ src/sas/perspectives/fitting/resultpanel.py	(revision 6f16e25ca8391464dfcea6ba0d48d6b3702d148e)
@@ -41,5 +41,5 @@
                  | wx.CLIP_CHILDREN)
                  & ~wx.aui.AUI_NB_CLOSE_ON_ACTIVE_TAB)
-        Notebook.__init__(self, parent, -1, style=style)
+        Notebook.__init__(self, parent, wx.ID_ANY, style=style)
         PanelBase.__init__(self, parent)
         self.frame = parent
